Bug 137441 - ACPI stops working after plugging USB touchscreen
ACPI stops working after plugging USB touchscreen
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-28 11:01 EDT by Keith Chew
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Keith Chew 2004-10-28 11:01:45 EDT
Description of problem:


I have a USB touchscreen (egalax drivers).

First, booting up without USB plugged, the power button shuts down 
Fedora when pressed. No problems.

When I boot up with USB plugged in, I get:

Oct 29 03:45:20 localhost kernel: hub 1-0:1.0: USB hub found
Oct 29 03:45:20 localhost kernel: hub 1-0:1.0: 6 ports detected
Oct 29 03:45:20 localhost kernel: irq 9: nobody cared! (screaming 
interrupt?)
Oct 29 03:45:20 localhost kernel: irq 9: Please try booting with 
acpi=off and report a bug
Oct 29 03:45:20 localhost kernel: Stack pointer is garbage, not 
printing trace
Oct 29 03:45:20 localhost kernel: handlers:
Oct 29 03:45:20 localhost kernel: [<0219e4af>] (acpi_irq+0x0/0x14)
Oct 29 03:45:20 localhost kernel: Disabling IRQ #9
Oct 29 03:45:20 localhost kernel: hub 1-0:1.0: over-current change on 
port 5
Oct 29 03:45:20 localhost kernel: hub 1-0:1.0: over-current change on 
port 6
Oct 29 03:45:20 localhost kernel: USB Universal Host Controller 
Interface driver v2.2

When I boot up without USB plugged in, but plug in after boot, I get:

Oct 29 03:33:31 localhost kernel: irq 9: nobody cared! (screaming 
interrupt?)
Oct 29 03:33:31 localhost kernel: irq 9: Please try booting with 
acpi=off and report a bug
Oct 29 03:33:31 localhost kernel:  [<02106d55>] 
__report_bad_irq+0x3a/0x77
Oct 29 03:33:31 localhost kernel:  [<02106df1>] 
note_interrupt+0x43/0x66
Oct 29 03:33:31 localhost kernel:  [<02106fb7>] do_IRQ+0x109/0x169
Oct 29 03:33:31 localhost kernel:  [<0211b2a0>] __do_softirq+0x2c/0x73
Oct 29 03:33:31 localhost kernel:  [<0210758c>] do_softirq+0x46/0x4d
Oct 29 03:33:31 localhost kernel:  =======================
Oct 29 03:33:31 localhost kernel:  [<0210700b>] do_IRQ+0x15d/0x169
Oct 29 03:33:31 localhost kernel:  [<021b6df1>] 
acpi_processor_idle+0xd3/0x1c5
Oct 29 03:33:31 localhost kernel:  [<0210408c>] cpu_idle+0x1f/0x34
Oct 29 03:33:31 localhost kernel:  [<0232960f>] 
start_kernel+0x182/0x184
Oct 29 03:33:31 localhost kernel: handlers:
Oct 29 03:33:31 localhost kernel: [<0219e4af>] (acpi_irq+0x0/0x14)
Oct 29 03:33:31 localhost kernel: Disabling IRQ #9
Oct 29 03:33:31 localhost kernel: usb 2-2: new low speed USB device 
using address 2
Oct 29 03:33:32 localhost kernel: usb 2-2: Manufacturer: eGalax Inc.
Oct 29 03:33:32 localhost kernel: usb 2-2: SerialNumber: 0008001
O

After this, the power button stops working (ie cannot shut down 
Fedora anymore).

Version-Release number of selected component (if applicable):


How reproducible:
Every Time

Steps to Reproduce:
1. Boot up
2. Plug in USB device
3. Press power button
  
Actual results:


Expected results:


Additional info:
Comment 1 Keith Chew 2004-10-28 11:52:05 EDT
I have tried booting with acpi=off, and I can now confirm what's 
conflicting with the ACPI:

  0:     264922          XT-PIC  timer
  1:         54          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  5:        911          XT-PIC  uhci_hcd, uhci_hcd, eth0, yenta, 
yenta
  8:          1          XT-PIC  rtc
  9:         37          XT-PIC  ehci_hcd, uhci_hcd, VIA8233
 12:         33          XT-PIC  i8042
 14:       6241          XT-PIC  ide0
 15:         95          XT-PIC  ide1

Looking at IRQ 9, it's the ehci_hcd that is conflicting with acpi. 
How can I manually assign ehci_hcd and acpi to different IRQs?

Comment 2 Keith Chew 2004-10-28 16:12:20 EDT
Ok

I have found a workaround. I went to the BIOS and reserved IRQ 9, so 
that the motherboard will not assign the ehci_hcd to that IRQ.

Both ACPI and ehci_hcd are now playing nicely.
Comment 3 Len Brown 2004-11-18 23:30:17 EST
sure looks like the USB device is pulling on the interrupt
and killing ACPI before the USB driver is fully loaded.

what does the /proc/interrupts look like after the BIOS workaround?
Does USB end up on its own private IRQ?
Comment 4 Keith Chew 2004-11-19 17:08:05 EST
Yes, the USB ends up on IRQ 5:

cat /proc/interrupts
           CPU0
  0:     177860          XT-PIC  timer
  1:         10          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  4:         25          XT-PIC  serial
  5:         35          XT-PIC  ehci_hcd, uhci_hcd, VIA8233
  8:          1          XT-PIC  rtc
  9:          0          XT-PIC  acpi
 12:        242          XT-PIC  uhci_hcd, uhci_hcd, eth0, yenta, 
yenta
 14:       6516          XT-PIC  ide0
 15:         12          XT-PIC  ide1
NMI:          0
ERR:          0
Comment 5 Dave Jones 2005-04-16 01:24:46 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.